TEMPLATE = lib

CONFIG(debug, debug|release) {
    TARGET = demo-debug

    DESTDIR = debug
}

CONFIG(release, debug|release) {
    TARGET = demo

    DESTDIR = release
}

INCLUDEPATH += ../../gamebase \
               ../../gamebase/widgets

HEADERS += demointerface.h \
           demo.h \
           demorules.h \
           demoplayer.h

SOURCES += demointerface.cpp \
           demo.cpp \
           demorules.cpp \
           demoplayer.cpp

CONFIG += warn_on \
          qt \
          thread \
          staticlib \
          exceptions \
          stl \
          debug_and_release

debug {
    CONFIG -= release
    CONFIG += debug
}

release {
    CONFIG -= debug
    CONFIG += release

    QMAKE_CXXFLAGS_RELEASE += -fexceptions
}
