/***************************************************************************************************
*****    This file is part of KardsGT.                                                         *****
*****                                                                                          *****
*****    Copyright (C) 2008  John Schneiderman <JohnMS@member.fsf.org>                         *****
*****                                                                                          *****
*****    This program is free software: you can redistribute it and/or modify it under the     *****
*****    terms of the GNU General Public License as published by the Free Software Foundation, *****
*****    either version 3 of the License, or (at your option) any later version.               *****
*****                                                                                          *****
*****    This program is distributed in the hope that it will be useful, but WITHOUT ANY       *****
*****    WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A       *****
*****    PARTICULAR PURPOSE.  See the GNU General Public License for more details.             *****
*****                                                                                          *****
*****    You should have received a copy of the GNU General Public License along with this     *****
*****    program. If not, see <http://www.gnu.org/licenses/>.                                  *****
***************************************************************************************************/
#include "demo.h"
#include "demointerface.h"

Demo::Demo(DemoInterface *gameInterface, UserProfileDatabase &profileDatabase): GameBase(profileDatabase), m_rules()
{
    m_pInterface = gameInterface;
}

Demo::~Demo()
{}

void Demo::startPlay()
{}

bool Demo::save(const QString &filename)
{
    return false;
}

bool Demo::load(const QString &filename)
{
    return false;
}

int Demo::minimumPlayers() const
{
    return 2;
}

int Demo::maximumPlayers() const
{
    return 2;
}

bool Demo::cardPlayed(const Card &card)
{
    return false;
}

void Demo::deal()
{}

void Demo::setupNextPlayer()
{}

int Demo::handleGameStatus()
{
    return -1;
}
